Bug 1605579

Summary: python-APScheduler: FTBFS in Fedora rawhide
Product: [Fedora] Fedora Reporter: Mohan Boddu <mboddu>
Component: python-APSchedulerAssignee: Paul Belanger <pabelanger>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: urgent    
Version: 29CC: hguemar, mhroncok, pabelanger
Target Milestone: ---Flags: mhroncok: needinfo? (pabelanger)
mhroncok: needinfo? (pabelanger)
mhroncok: needinfo? (pabelanger)
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-21 08:48:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1565020, 1585626, 1602938    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Mohan Boddu 2018-07-20 16:05:24 UTC
python-APScheduler failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28219977


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix python-APScheduler at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-APScheduler will be orphaned. Before branching of Fedora 30,
python-APScheduler will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 16:05:33 UTC
Created attachment 1465904 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 16:05:37 UTC
Created attachment 1465905 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 16:05:39 UTC
Created attachment 1465906 [details]
state.log

Comment 4 Miro Hrončok 2018-07-24 14:05:22 UTC
You need to change %{__python} to %{__python2} or %{__python3}.

Later you'll get this anyway:

+ /usr/bin/python3 -m pytest
============================= test session starts ==============================
platform linux -- Python 3.7.0, pytest-3.6.3, py-1.5.4, pluggy-0.6.0
rootdir: /builddir/build/BUILD/APScheduler-3.0.5, inifile: setup.cfg
collected 401 items
tests/test_executors.py ..........                                       [  2%]
tests/test_expressions.py ..........................                     [  8%]
tests/test_job.py .........................................              [ 19%]
tests/test_jobstores.py .sss.sss.sss.sss.sss.sss.sss.sss..ssssss......ss [ 31%]
ssssssssssssssss.ssssss.sss.sss.sss.sss.sssss                            [ 42%]
tests/test_schedulers.py ............................................... [ 54%]
....................................F....................ssssssssssss    [ 71%]
tests/test_triggers.py ......................................F.          [ 81%]
tests/test_util.py ..................................................... [ 94%]
.......ss.............                                                   [100%]
=================================== FAILURES ===================================
____________ TestBaseScheduler.test_create_trigger_bad_plugin_type _____________
tests/test_schedulers.py:749: in test_create_trigger_bad_plugin_type
    assert str(exc.value) == 'The trigger entry point does not point to a trigger class'
E   AssertionError: assert 'issubclass()...st be a class' == 'The trigger e...trigger class'
E     - issubclass() arg 1 must be a class
E     + The trigger entry point does not point to a trigger class
________________________ TestIntervalTrigger.test_repr _________________________
tests/test_triggers.py:286: in test_repr
    assert repr(trigger) == \
E   assert "<IntervalTri...00:02 CEST')>" == "<IntervalTrig...00:02 CEST')>"
E     Skipping 36 identical leading characters in diff, use -v to show
E     - timedelta(seconds=1), start_date='2009-08-04 00:00:02 CEST')>
E     ?           ^^^^^^^^
E     + timedelta(0, 1), start_date='2009-08-04 00:00:02 CEST')>
E     ?           ^^^


No idea about the first failure. For the second, timedelta repr has changed, see https://bugs.python.org/issue30302

Comment 5 Miro Hrončok 2018-07-25 09:26:14 UTC
(This is a mass bug update. Forgive me if things are not 100% accurate for this one.)

At this moment, your package still requires Python 3.6. This will cause broken upgrades to Fedora 29. Please prioritize this rebuild.

Let me know if you need help from the Python maintenance team figuring out why the package FTBFS.

Consider orphaning the package if you don't have time for it.

Consider retiring the package if upstream is dead and nothing depends on it in Fedora.

If you are blocked by other packages (I've recently tried to set the Bugzilla metadata to reflect that), consider helping there as well. Thank you.

Comment 6 Miro Hrončok 2018-07-29 14:50:44 UTC
Can we retire python-APScheduler? Nothing in Fedora seems to depend on it.

Comment 7 Miro Hrončok 2018-08-06 10:22:13 UTC
This is another friendly reminder.

Please take action.

Comment 8 Miro Hrončok 2018-08-10 13:47:08 UTC
Note that I requested an approval from FESCo to retire leaf packages that still require Python 3.6 at beta freeze and their bugs are in NEW state. (This package might not necessarily be leaf at this moment, but I'm updating all the bugs in case the dependencies change in the meantime.)

More info at https://pagure.io/fesco/issue/1965

Comment 9 Miro Hrončok 2018-08-13 11:59:14 UTC
Another bulk reminder. Please take action. Your package doesn't install on Fedora 29. Fix it or retire it.

Comment 10 Jan Kurik 2018-08-14 10:28:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 11 Miro Hrončok 2018-08-16 12:30:47 UTC
Do something now! (This is the unfriendly reminder.)

Comment 12 Miro Hrončok 2018-08-16 15:13:42 UTC
I apologize if my unfriendly reminder was too harsh. It was intended to be stronger than the previous friendly reminders, not to hurt anyone.

That said, this still needs to be taken care of.

Comment 13 Miro Hrončok 2018-08-17 11:49:23 UTC
Leaf packages that still require Python 3.6 one week before Fedora 29 Beta Freeze ([0]) and their FTBFS bug remains in NEW state, will be mass retired. Packages marked as blocked by non-FTBFS bug are excluded from this. [1]

[0] https://fedoraproject.org/wiki/Releases/29/Schedule
[1] https://pagure.io/fesco/issue/1965

Comment 14 hguemar 2018-08-20 13:42:30 UTC
Fixed in python-APScheduler-3.5.3-1.fc29 
Only the two test cases mentionned are in process to be fixed.

Comment 15 Igor Gnatenko 2018-08-21 08:48:09 UTC
There has been at least one successfull build after mass rebuild.

python-APScheduler-3.5.3-1.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1137801